from django.urls import re_path

from bda import views
from bda.views import SpectacleListView
from gestioncof.decorators import buro_required

urlpatterns = [
    re_path(
        r"^inscription/(?P<tirage_id>\d+)$",
        views.inscription,
        name="bda-tirage-inscription",
    ),
    re_path(r"^places/(?P<tirage_id>\d+)$", views.places, name="bda-places-attribuees"),
    re_path(
        r"^etat-places/(?P<tirage_id>\d+)$", views.etat_places, name="bda-etat-places"
    ),
    re_path(r"^tirage/(?P<tirage_id>\d+)$", views.tirage, name="bda-tirage"),
    re_path(
        r"^spectacles/(?P<tirage_id>\d+)$",
        buro_required(SpectacleListView.as_view()),
        name="bda-liste-spectacles",
    ),
    re_path(
        r"^spectacles/(?P<tirage_id>\d+)/(?P<spectacle_id>\d+)$",
        views.spectacle,
        name="bda-spectacle",
    ),
    re_path(
        r"^spectacles/unpaid/(?P<tirage_id>\d+)$",
        views.UnpaidParticipants.as_view(),
        name="bda-unpaid",
    ),
    re_path(
        r"^spectacles/autocomplete$",
        views.spectacle_autocomplete,
        name="bda-spectacle-autocomplete",
    ),
    re_path(
        r"^participants/autocomplete$",
        views.participant_autocomplete,
        name="bda-participant-autocomplete",
    ),
    # Urls BdA-Revente
    re_path(
        r"^revente/(?P<tirage_id>\d+)/manage$",
        views.revente_manage,
        name="bda-revente-manage",
    ),
    re_path(
        r"^revente/(?P<tirage_id>\d+)/subscribe$",
        views.revente_subscribe,
        name="bda-revente-subscribe",
    ),
    re_path(
        r"^revente/(?P<tirage_id>\d+)/tirages$",
        views.revente_tirages,
        name="bda-revente-tirages",
    ),
    re_path(
        r"^revente/(?P<spectacle_id>\d+)/buy$",
        views.revente_buy,
        name="bda-revente-buy",
    ),
    re_path(
        r"^revente/(?P<revente_id>\d+)/confirm$",
        views.revente_confirm,
        name="bda-revente-confirm",
    ),
    re_path(
        r"^revente/(?P<tirage_id>\d+)/shotgun$",
        views.revente_shotgun,
        name="bda-revente-shotgun",
    ),
    re_path(
        r"^mails-rappel/(?P<spectacle_id>\d+)$", views.send_rappel, name="bda-rappels"
    ),
    re_path(
        r"^catalogue/(?P<request_type>[a-z]+)$", views.catalogue, name="bda-catalogue"
    ),
]
